Odoo中文社区可以通过以下两个域名访问:shine-it.net , odoo.net.cn

由于系统升迁的原因,本论坛部分较早期的内容存在格式和链接损坏失效的问题,并非本论坛系统本身的缺陷,望谅解

本社区没有维护任何QQ群讨论组,任何与本社区同名的QQ群讨论组的言论与本社区无关!

开发人员可以登录gitter讨论组: http://gitter.im/odoo-china/Talk, 需要github账号

如果您登录系统碰到问题,请在微信公众号留言:

求助各位大神这是什么问题



  • Odoo Server Error
    Traceback (most recent call last):
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/http.py", line 677, in dispatch
    result = self._call_function(**self.params)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/http.py", line 353, in _call_function
    return checked_call(self.db, *args, **kwargs)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/service/model.py", line 93, in wrapper
    return f(dbname, *args, **kwargs)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/http.py", line 346, in checked_call
    result = self.endpoint(*a, **kw)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/http.py", line 922, in call
    return self.method(*args, **kw)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/http.py", line 523, in response_wrap
    response = f(*args, **kw)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/addons/web/controllers/main.py", line 1323, in call_button
    action = self._call_kw(model, method, args, kwargs)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/addons/web/controllers/main.py", line 1311, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/api.py", line 394, in call_kw
    result = _call_kw_multi(method, model, args, kwargs)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/api.py", line 381, in _call_kw_multi
    result = method(recs, *args, **kwargs)
    File "", line 2, in button_immediate_upgrade
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/addons/base/models/ir_module.py", line 72, in check_and_log
    return method(self, *args, **kwargs)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/addons/base/models/ir_module.py", line 634, in button_immediate_upgrade
    return self._button_immediate_function(type(self).button_upgrade)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/addons/base/models/ir_module.py", line 578, in _button_immediate_function
    modules.registry.Registry.new(self._cr.dbname, update_module=True)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/modules/registry.py", line 85, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/modules/loading.py", line 416, in load_modules
    force, status, report, loaded_modules, update_module, models_to_check)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/modules/loading.py", line 312, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/modules/loading.py", line 222, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package, report=report)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/modules/loading.py", line 68, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/tools/convert.py", line 727, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/tools/convert.py", line 794, in convert_xml_import
    obj.parse(doc.getroot())
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/tools/convert.py", line 713, in parse
    self._tag_root(de)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/tools/convert.py", line 668, in _tag_root
    f(rec)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/tools/convert.py", line 675, in _tag_root
    etree.tostring(rec, encoding='unicode').rstrip()
    Exception

    The above exception was the direct cause of the following exception:

    Traceback (most recent call last):
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/http.py", line 632, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
    File "/Users/zhuzhenghong/Documents/odoo12/odoo/odoo/http.py", line 317, in _handle_exception
    raise exception.with_traceback(None) from new_cause
    odoo.tools.convert.ParseError: while parsing /Users/zhuzhenghong/Documents/code/resource/my-modules/bug-manage/views/bugs.xml:4, near
    <record 粗体字id="bug-manage.action_window" model="ir.actions.act_window">
    <field 粗体字name="name">bug-manage window<粗体字/field>
    <field 粗体字name="res_model">bm.bug<粗体字/field>
    <field 粗体字 name="view_mode">tree,form<粗体字/field>
    </粗体字record>


Log in to reply